(function ($) {
  Drupal.behaviors.chatMessenger = {
    attach: function (context, settings) {
      // Send message via AJAX
      $('#send-message-btn').click(function () {
        var message = $('#message-text').val();
        console.log(message);
        var recipient_id = $('#recipient-id').val();

        $.ajax({
          url: Drupal.url('chat-messenger/send-message'),
          type: 'POST',
          data: {
            message: message,
            recipient_id: recipient_id
          },
          success: function (response) {
            $('#chat-window').append('<div class="message sent"><strong>' + response.from + ':</strong><p>' + response.message + '</p></div>');
            $('#message-text').val('');
            scrollToBottom();
          }
        });
      });

      setInterval(function () {
        $.ajax({
          url: Drupal.url('chat-messenger/get-message'),
          type: 'GET',
          success: function (response) {
            if (response.new_messages) {
              $.each(response.new_messages, function (index, message) {
                $('#chat-window').append('<div class="message received"><strong>' + message.from + ':</strong><p>' + message.message + '</p></div>');
              });
              scrollToBottom();
            }
          }
        });
      }, 2000);
      function scrollToBottom() {
        var chatWindow = $('#chat-window');
        chatWindow.scrollTop(chatWindow[0].scrollHeight);
      }
    }
  };
})(jQuery);
